LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
LinkBack Search this Thread
Old 06-05-2008, 09:02 AM   #1
tramni1980
Member
 
Registered: Jul 2006
Location: Tübingen, Germany
Distribution: Slackware64-13.37
Posts: 733

Rep: Reputation: 37
write a SlackBuild script for qc-usb-messenger-1.8


Hello!
I am running Slackware 12.1 with kernel-generic-smp-2.6.24.5-smp. I need to make a package for the module for my webcam. The source code for the module is:
http://home.mag.cx/messenger/source/...ger-1.8.tar.gz

The driver qcmessenger.ko is compiled by issuing "make all" in the sources. Directly issuing "insmod qcmessenger.ko" works, the module is loaded and the cam works perfectly. I want to make a package for the module. I tried simply copying qcmessenger.ko to /lib/modules/$KERNEL/kernel/drivers/media/video/usbvideo, but then "modprobe qcmessenger" does not find the module. What should I do? I think I should run "depmod -a" in the doinst.sh, but I am not sure.

I am looking forward to your suggestions.

Regards,
Martin
 
Old 06-05-2008, 11:24 AM   #2
T3slider
Senior Member
 
Registered: Jul 2007
Distribution: Slackware64-14.0
Posts: 2,231

Rep: Reputation: 573Reputation: 573Reputation: 573Reputation: 573Reputation: 573Reputation: 573
Yes, `depmod -a` is what you want. However, isn't the quickcam_messenger.ko module, included in the default Slackware 12.1 kernel, essentially the same (though maybe a different version)?
 
Old 06-05-2008, 11:30 AM   #3
tramni1980
Member
 
Registered: Jul 2006
Location: Tübingen, Germany
Distribution: Slackware64-13.37
Posts: 733

Original Poster
Rep: Reputation: 37
Quote:
Originally Posted by T3slider View Post
Yes, `depmod -a` is what you want. However, isn't the quickcam_messenger.ko module, included in the default Slackware 12.1 kernel, essentially the same (though maybe a different version)?
Yes, it is. But it provides a poor performance. The qcmessenger.ko module works perfectly with my cam 046d-08f0. Thank you very much for your reply.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
cannot compile qc-usb-messenger-1.7 in 12.1 tramni1980 Slackware 14 11-19-2009 10:17 AM
Swiftfox slackbuild script shadowsnipes Slackware 23 10-24-2008 10:52 PM
SlackBuild.org nvidia kernel build script bug Woodsman Slackware 3 04-06-2008 07:48 PM
Trouble with my first SlackBuild script Yalla-One Slackware 6 06-10-2006 02:03 PM
Can't WRITE to USB stick, Mount OK NO WRITE! ClericPreston Linux - Newbie 4 12-04-2004 10:43 AM


All times are GMT -5. The time now is 01:54 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration